Index: /doc/latex/classbdm_1_1KFcondR__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1KFcondR__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1KFcondR__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 514 654
+%%PageBoundingBox: 36 36 514 642
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 478 618 boxprim clip newpath
+36 36 478 606 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -348,5 +348,5 @@
 % Node4
 gsave
-[ /Rect [ 309 589 393 609 ]
+[ /Rect [ 309 577 393 597 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -354,20 +354,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 309 588 moveto
-309 609 lineto
-394 609 lineto
-394 588 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 309 588 moveto
-309 609 lineto
-394 609 lineto
-394 588 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-316.5 595.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 309 576 moveto
+309 597 lineto
+394 597 lineto
+394 576 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 309 576 moveto
+309 597 lineto
+394 597 lineto
+394 576 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+316.5 583.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node4->Node3
@@ -376,24 +376,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 358 578 moveto
-366 555 375 515 365 484 curveto
+newpath 359 566 moveto
+366 545 374 512 365 484 curveto
 362 476 357 469 352 463 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 354.52 577.42 moveto
-355 588 lineto
-361.23 579.43 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 354.52 577.42 moveto
-355 588 lineto
-361.23 579.43 lineto
+newpath 355.52 565.42 moveto
+356 576 lineto
+362.23 567.43 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 355.52 565.42 moveto
+356 576 lineto
+362.23 567.43 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 267 529 323 549 ]
+[ /Rect [ 267 517 323 537 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -401,20 +401,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 267 528 moveto
-267 549 lineto
-323 549 lineto
-323 528 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 267 528 moveto
-267 549 lineto
-323 549 lineto
-323 528 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-275 535.5 moveto 40 (bdm::RV) alignedtext
+newpath 267 516 moveto
+267 537 lineto
+323 537 lineto
+323 516 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 267 516 moveto
+267 537 lineto
+323 537 lineto
+323 516 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+275 523.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node4->Node5
@@ -423,18 +423,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 334 580 moveto
-325 570 313 558 305 549 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 331.78 582.78 moveto
-341 588 lineto
-337.05 578.17 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 331.78 582.78 moveto
-341 588 lineto
-337.05 578.17 lineto
+newpath 334 568 moveto
+325 558 313 546 305 537 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 331.78 570.78 moveto
+341 576 lineto
+337.05 566.17 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 331.78 570.78 moveto
+341 576 lineto
+337.05 566.17 lineto
 closepath stroke
 grestore
@@ -469,19 +469,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 305 585 moveto
-265 570 204 545 161 510 curveto
-144 496 130 475 123 463 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 304.42 588.48 moveto
-315 588 lineto
-306.43 581.77 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 304.42 588.48 moveto
-315 588 lineto
-306.43 581.77 lineto
+newpath 317 572 moveto
+280 555 222 527 176 498 curveto
+159 487 141 473 129 463 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 315.44 575.14 moveto
+326 576 lineto
+318.28 568.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 315.44 575.14 moveto
+326 576 lineto
+318.28 568.74 lineto
 closepath stroke
 grestore
@@ -516,19 +516,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 366 580 moveto
-368 577 371 573 373 570 curveto
-396 532 416 484 425 463 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 363.2 577.9 moveto
-360 588 lineto
-368.8 582.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 363.2 577.9 moveto
-360 588 lineto
-368.8 582.1 lineto
+newpath 366 568 moveto
+369 565 372 561 374 558 curveto
+395 524 415 482 424 463 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 363.2 565.9 moveto
+360 576 lineto
+368.8 570.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 363.2 565.9 moveto
+360 576 lineto
+368.8 570.1 lineto
 closepath stroke
 grestore
@@ -538,20 +538,20 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 286 518 moveto
-285 516 284 513 284 510 curveto
-264 441 259 423 252 352 curveto
-241 246 269 118 277 81 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 283.04 520.02 moveto
-290 528 lineto
-289.54 517.42 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 283.04 520.02 moveto
-290 528 lineto
-289.54 517.42 lineto
+newpath 286 506 moveto
+285 504 284 501 284 498 curveto
+265 434 259 418 252 352 curveto
+240 246 269 118 277 81 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 283.04 508.02 moveto
+290 516 lineto
+289.54 505.42 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 283.04 508.02 moveto
+290 516 lineto
+289.54 505.42 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
@@ -567,26 +567,23 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 300 518 moveto
-303 507 307 495 313 484 curveto
-317 476 324 469 329 463 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 296.52 517.42 moveto
-297 528 lineto
-303.23 519.43 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 296.52 517.42 moveto
-297 528 lineto
-303.23 519.43 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-312.5 501 moveto 15 (drv) alignedtext
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-315.5 488 moveto 9 (rv) alignedtext
+newpath 301 506 moveto
+304 499 308 491 313 484 curveto
+317 476 324 469 330 463 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 297.52 505.42 moveto
+298 516 lineto
+304.23 507.43 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 297.52 505.42 moveto
+298 516 lineto
+304.23 507.43 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+312.5 488.5 moveto 15 (drv) alignedtext
 grestore
 % Node5->Node10
@@ -595,23 +592,23 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 257 528 moveto
-242 522 225 517 210 510 curveto
-181 496 149 475 131 463 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 256.42 531.48 moveto
-267 531 lineto
-258.43 524.77 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 256.42 531.48 moveto
-267 531 lineto
-258.43 524.77 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-215.5 494.5 moveto 9 (rv) alignedtext
+newpath 257 515 moveto
+242 510 225 505 210 498 curveto
+184 487 155 473 136 463 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 256.42 518.48 moveto
+267 518 lineto
+258.43 511.77 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 256.42 518.48 moveto
+267 518 lineto
+258.43 511.77 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+215.5 488.5 moveto 9 (rv) alignedtext
 grestore
 % Node5->Node13
@@ -620,20 +617,20 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 292 518 moveto
-291 503 289 484 288 466 curveto
+newpath 292 506 moveto
+290 494 289 479 288 466 curveto
 287 454 286 451 288 440 curveto
 293 406 310 369 318 351 curveto
 stroke
 0.776 0.753 0.804 edgecolor
-newpath 288.52 518.4 moveto
-293 528 lineto
-295.49 517.7 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 288.52 518.4 moveto
-293 528 lineto
-295.49 517.7 lineto
+newpath 288.52 506.4 moveto
+293 516 lineto
+295.49 505.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 288.52 506.4 moveto
+293 516 lineto
+295.49 505.7 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
@@ -649,22 +646,22 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 321 522 moveto
-348 505 391 477 413 463 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 318.38 519.54 moveto
-312 528 lineto
-322.26 525.37 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 318.38 519.54 moveto
-312 528 lineto
-322.26 525.37 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-377 494.5 moveto 14 (rvc) alignedtext
+newpath 324 511 moveto
+350 496 388 476 410 463 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 322.04 508.08 moveto
+315 516 lineto
+325.44 514.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 322.04 508.08 moveto
+315 516 lineto
+325.44 514.2 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+369 488.5 moveto 14 (rvc) alignedtext
 grestore
 % Node6
@@ -1121,5 +1118,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 514 654
+%%BoundingBox: 36 36 514 642
 end
 restore
Index: /doc/latex/libKF_8h__incl.dot
===================================================================
--- /doc/latex/libKF_8h__incl.dot (revision 261)
+++ /doc/latex/libKF_8h__incl.dot (revision 270)
@@ -12,12 +12,14 @@
   Node4 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
   Node5 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
-  Node6 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node6 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
-  Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node3 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
+  Node6 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
+  Node7 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node7 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
   Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
-  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
-  Node1 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
+  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid"];
+  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
+  Node1 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
 }
Index: /doc/latex/arx_8h__incl.eps
===================================================================
--- /doc/latex/arx_8h__incl.eps (revision 261)
+++ /doc/latex/arx_8h__incl.eps (revision 270)
@@ -252,5 +252,5 @@
 closepath stroke
 grestore
-% Node6
+% Node7
 gsave
 [ /Rect [ 96 233 172 253 ]
@@ -277,5 +277,5 @@
 104 239.5 moveto 60 (../stat/libEF.h) alignedtext
 grestore
-% Node1->Node6
+% Node1->Node7
 gsave
 1 setlinewidth
@@ -300,5 +300,5 @@
 % Node3
 gsave
-[ /Rect [ 20 175 70 195 ]
+[ /Rect [ 17 175 67 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 20 174 moveto
-20 195 lineto
-71 195 lineto
-71 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 20 174 moveto
-20 195 lineto
-71 195 lineto
-71 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-27.5 181.5 moveto 35 (libBM.h) alignedtext
+newpath 17 174 moveto
+17 195 lineto
+68 195 lineto
+68 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 17 174 moveto
+17 195 lineto
+68 195 lineto
+68 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+24.5 181.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node2->Node3
@@ -329,22 +329,22 @@
 0.667 0.776 0.439 edgecolor
 newpath 40 232 moveto
-41 224 42 214 43 205 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 46.49 205.3 moveto
-44 195 lineto
-39.52 204.6 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 46.49 205.3 moveto
-44 195 lineto
-39.52 204.6 lineto
+40 224 40 214 41 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 44.5 205 moveto
+41 195 lineto
+37.5 205 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 44.5 205 moveto
+41 195 lineto
+37.5 205 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 58 59 130 79 ]
+[ /Rect [ 43 59 115 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -352,20 +352,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 58 58 moveto
-58 79 lineto
-130 79 lineto
-130 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 58 58 moveto
-58 79 lineto
-130 79 lineto
-130 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-66 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 43 58 moveto
+43 79 lineto
+115 79 lineto
+115 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 43 58 moveto
+43 79 lineto
+115 79 lineto
+115 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+51 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node3->Node4
@@ -374,18 +374,60 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 50 174 moveto
-58 155 76 113 86 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 89.14 89.56 moveto
-90 79 lineto
-82.74 86.72 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 89.14 89.56 moveto
-90 79 lineto
-82.74 86.72 lineto
+newpath 40 174 moveto
+39 159 37 135 44 116 curveto
+48 106 55 95 61 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 64.05 88.83 moveto
+68 79 lineto
+58.78 84.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 64.05 88.83 moveto
+68 79 lineto
+58.78 84.22 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 53 116 moveto
+53 137 lineto
+91 137 lineto
+91 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 53 116 moveto
+53 137 lineto
+91 137 lineto
+91 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+61 123.5 moveto 22 (map) alignedtext
+grestore
+% Node3->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 48 174 moveto
+52 166 58 155 62 146 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 65.2 147.44 moveto
+67 137 lineto
+59.08 144.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 65.2 147.44 moveto
+67 137 lineto
+59.08 144.04 lineto
 closepath stroke
 grestore
@@ -393,20 +435,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 57 0 moveto
-57 21 lineto
-132 21 lineto
-132 0 lineto
+newpath 42 0 moveto
+42 21 lineto
+117 21 lineto
+117 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 57 0 moveto
-57 21 lineto
-132 21 lineto
-132 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-64.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 42 0 moveto
+42 21 lineto
+117 21 lineto
+117 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+49.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node4->Node5
@@ -415,42 +457,42 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 94 58 moveto
-94 50 94 40 94 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 97.5 31 moveto
-94 21 lineto
-90.5 31 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 97.5 31 moveto
-94 21 lineto
-90.5 31 lineto
-closepath stroke
-grestore
-% Node6->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 117 232 moveto
-104 223 84 210 69 200 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 70.44 196.8 moveto
-60 195 lineto
-67.04 202.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 70.44 196.8 moveto
-60 195 lineto
-67.04 202.92 lineto
-closepath stroke
-grestore
-% Node7
+newpath 79 58 moveto
+79 50 79 40 79 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 82.5 31 moveto
+79 21 lineto
+75.5 31 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 82.5 31 moveto
+79 21 lineto
+75.5 31 lineto
+closepath stroke
+grestore
+% Node7->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 116 232 moveto
+103 223 82 210 67 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 68.44 196.8 moveto
+58 195 lineto
+65.04 202.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 68.44 196.8 moveto
+58 195 lineto
+65.04 202.92 lineto
+closepath stroke
+grestore
+% Node8
 gsave
 [ /Rect [ 88 175 180 195 ]
@@ -477,5 +519,5 @@
 95.5 181.5 moveto 77 (../math/chmat.h) alignedtext
 grestore
-% Node6->Node7
+% Node7->Node8
 gsave
 1 setlinewidth
@@ -498,7 +540,7 @@
 closepath stroke
 grestore
-% Node8
-gsave
-[ /Rect [ 100 117 150 137 ]
+% Node9
+gsave
+[ /Rect [ 109 117 159 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -506,61 +548,61 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 100 116 moveto
-100 137 lineto
-150 137 lineto
-150 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 100 116 moveto
-100 137 lineto
-150 137 lineto
-150 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-108 123.5 moveto 34 (libDC.h) alignedtext
-grestore
-% Node7->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 132 174 moveto
-131 166 130 156 128 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 131.48 146.6 moveto
-127 137 lineto
-124.51 147.3 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 131.48 146.6 moveto
-127 137 lineto
-124.51 147.3 lineto
-closepath stroke
-grestore
-% Node8->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 119 116 moveto
-115 108 109 97 104 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 106.92 86.04 moveto
-99 79 lineto
-100.8 89.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 106.92 86.04 moveto
-99 79 lineto
-100.8 89.44 lineto
+newpath 109 116 moveto
+109 137 lineto
+159 137 lineto
+159 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 109 116 moveto
+109 137 lineto
+159 137 lineto
+159 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+117 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node8->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134 174 moveto
+134 166 134 156 134 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 137.5 147 moveto
+134 137 lineto
+130.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 137.5 147 moveto
+134 137 lineto
+130.5 147 lineto
+closepath stroke
+grestore
+% Node9->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 123 116 moveto
+115 107 104 96 95 86 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 97.55 83.6 moveto
+88 79 lineto
+92.6 88.55 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 97.55 83.6 moveto
+88 79 lineto
+92.6 88.55 lineto
 closepath stroke
 grestore
Index: /doc/latex/classbdm_1_1datalink__m2e__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1datalink__m2e__coll__graph.md5 (revision 269)
+++ /doc/latex/classbdm_1_1datalink__m2e__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-baa8acd806693af5bd807f39601d509d
+fdc34c8e875cb0cae5b8c5cb5b4c09c0
Index: /doc/latex/loggers_8h__incl.eps
===================================================================
--- /doc/latex/loggers_8h__incl.eps (revision 261)
+++ /doc/latex/loggers_8h__incl.eps (revision 270)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 118 240
+%%PageBoundingBox: 36 36 173 240
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 82 204 boxprim clip newpath
+36 36 137 204 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 7 174 moveto
-7 195 lineto
-67 195 lineto
-67 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 7 174 moveto
-7 195 lineto
-67 195 lineto
-67 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-15 181.5 moveto 44 (loggers.h) alignedtext
+newpath 43 174 moveto
+43 195 lineto
+103 195 lineto
+103 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 43 174 moveto
+43 195 lineto
+103 195 lineto
+103 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+51 181.5 moveto 44 (loggers.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 12 117 62 137 ]
+[ /Rect [ 48 117 98 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 12 116 moveto
-12 137 lineto
-63 137 lineto
-63 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 12 116 moveto
-12 137 lineto
-63 137 lineto
-63 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-19.5 123.5 moveto 35 (libBM.h) alignedtext
+newpath 48 116 moveto
+48 137 lineto
+99 137 lineto
+99 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 48 116 moveto
+48 137 lineto
+99 137 lineto
+99 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+55.5 123.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node1->Node2
@@ -236,18 +236,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 37 174 moveto
-37 166 37 156 37 147 curveto
+newpath 73 174 moveto
+73 166 73 156 73 147 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 40.5 147 moveto
-37 137 lineto
-33.5 147 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 40.5 147 moveto
-37 137 lineto
-33.5 147 lineto
+newpath 76.5 147 moveto
+73 137 lineto
+69.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 76.5 147 moveto
+73 137 lineto
+69.5 147 lineto
 closepath stroke
 grestore
@@ -282,18 +282,59 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 37 116 moveto
-37 108 37 98 37 89 curveto
+newpath 66 116 moveto
+62 108 55 97 49 87 curveto
 stroke
 0.667 0.776 0.439 edgecolor
-newpath 40.5 89 moveto
-37 79 lineto
-33.5 89 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 40.5 89 moveto
-37 79 lineto
-33.5 89 lineto
+newpath 51.8 84.9 moveto
+43 79 lineto
+46.2 89.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 51.8 84.9 moveto
+43 79 lineto
+46.2 89.1 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 91 58 moveto
+91 79 lineto
+129 79 lineto
+129 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 91 58 moveto
+91 79 lineto
+129 79 lineto
+129 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+99 65.5 moveto 22 (map) alignedtext
+grestore
+% Node2->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 80 116 moveto
+85 108 92 97 98 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 100.8 89.1 moveto
+104 79 lineto
+95.2 84.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 100.8 89.1 moveto
+104 79 lineto
+95.2 84.9 lineto
 closepath stroke
 grestore
@@ -346,5 +387,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 118 240
+%%BoundingBox: 36 36 173 240
 end
 restore
Index: /doc/latex/classbdm_1_1datalink__m2m__inherit__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1datalink__m2m__inherit__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1datalink__m2m__inherit__graph.dot (revision 270)
@@ -7,4 +7,4 @@
   Node2 [label="bdm::datalink_m2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__m2e.html",tooltip="data link between"];
   Node3 -> Node2 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node3 [label="bdm::datalink_e2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__e2e.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
+  Node3 [label="bdm::datalink",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
 }
Index: /doc/latex/classbdm_1_1KFcondR__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1KFcondR__coll__graph.md5 (revision 269)
+++ /doc/latex/classbdm_1_1KFcondR__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-63acc54d7628bde9d5b0962c93c907a1
+c08a94c4fd6285d2b903d2eb3f0a4157
Index: /doc/latex/arx_8h__incl.md5
===================================================================
--- /doc/latex/arx_8h__incl.md5 (revision 261)
+++ /doc/latex/arx_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-6084fbb74192ae4b44f8c76540ee2c29
+8028e063c19f33f05dde89d1f1ea292b
Index: /doc/latex/classbdm_1_1EKFful__unQR__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1EKFful__unQR__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1EKFful__unQR__coll__graph.dot (revision 270)
@@ -12,5 +12,5 @@
   Node5 -> Node4 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node5 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node6 -> Node4 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node6 -> Node4 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node6 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node5 -> Node6 [dir=back,color="midnightblue",fontsize=10,style="solid"];
Index: /doc/latex/loggers_8h__incl.md5
===================================================================
--- /doc/latex/loggers_8h__incl.md5 (revision 261)
+++ /doc/latex/loggers_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-8d7547ccbab30a8c21c7d65629b2c99e
+461df5d0be3786d6b168c87dc1152a09
